Subject: bug#21343: 24.5; parse-partial-sexp mistakes string for a comment

From: Oleh Krehel <[email-masked]>
Date: Tue, 25 Aug 2015 15:11:18 +0200

To reproduce, paste this code into *scratch*, "|" is the point:

("|foo"
 ";; (bar)")

M-x indent-sexp will result in "    ;" being inserted after the sexp.

This is because `parse-partial-sexp' for the second line detects a
comment at one stage.